Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class GeneralizedTime

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.TimeBase
            |
            +--org.mozilla.jss.asn1.GeneralizedTime

All Implemented Interfaces:
  ASN1Value

public class GeneralizedTime
extends TimeBase
implements ASN1Value

The ASN.1 type `GeneralizedTime`

Inner Class Summary
`static class` | `GeneralizedTime.Template` A class for decoding `GeneralizedTime`s.

Inner classes inherited from class org.mozilla.jss.asn1.TimeBase
`TimeBase.Template`

Field Summary
`static Tag` | `TAG`
`private static GeneralizedTime.Template` | `templateInstance`

Fields inherited from class org.mozilla.jss.asn1.TimeBase
`date, FORM`

Constructor Summary
`GeneralizedTime(java.util.Date date)` Creates a `GeneralizedTime` from a Date.

Method Summary
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static GeneralizedTime.Template` | `getTemplate()`
`protected boolean` | `isUTC()`

Methods inherited from class org.mozilla.jss.asn1.TimeBase
`encode, encode, toDate`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

### templateInstance

    private static final GeneralizedTime.Template templateInstance

Constructor Detail

### GeneralizedTime

    public GeneralizedTime(java.util.Date date)

  Creates a `GeneralizedTime` from a Date.

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `TimeBase`

### isUTC

    protected boolean isUTC()

  Overrides:
    `isUTC` in class `TimeBase`

### getTemplate

    public static GeneralizedTime.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD